Subject: bug#45031: closed (Re: bug#45031: qoauth fail install/build)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Dec 2020 23:48:02 +0000

Your bug report

#45031: qoauth fail install/build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45031: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45031
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45031: qoauth fail install/build
From: Marius Bakke <[email-masked]>
To: Distopico <[email-masked]>, [email-masked]
Date: Tue, 08 Dec 2020 00:47:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Distopico <[email-masked]> skriver:

> I was trying to install `guix install qoauth` and build `guix install
> qoauth` but it failed, and looks like is due The installation process is
> trying to copy some files that are part of qoauth into the store
> directory of qtbase, which is another package.
>
> Attached the log of the build.

[...]

> /gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/bin/qmake -install qinstall /tmp/guix-build-qoauth-2.0.0.drv-0/source/oauth.prf /gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/lib/qt5/mkspecs/features/oauth.prf
> Error copying /tmp/guix-build-qoauth-2.0.0.drv-0/source/oauth.prf to /gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/lib/qt5/mkspecs/features/oauth.prf: Cannot create /gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/lib/qt5/mkspecs/features/oauth.prf for output

For some reason $QMAKE_MKSPECS no longer resolves to the output at
install time.  I'm not sure when this regression occured.

After a quick rummaging of my store, it seems the practice of installing
"mkspecs" files is rather unorthodox (I found only 'qca', and it does
not use qmake at all and thus avoids this problem), so I committed an
unsatisfactory workaround in 627b70e3ac8aade9744a998c28570fbb52b986a7.

It would be good to find the source of the regression and fix 'qmake',
but let's get back to that if it becomes a widespread issue.

Thanks for the report!

(By the way, there are some [disabled] test failures in qoauth.  If you
intend to use this library for something important, I recommend trying
to get the tests working.)  :-)

Subject: qoauth fail install/build
From: Distopico <[email-masked]>
To: [email-masked]
Date: Thu, 03 Dec 2020 15:05:19 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I was trying to install `guix install qoauth` and build `guix install
qoauth` but it failed, and looks like is due The installation process is
trying to copy some files that are part of qoauth into the store
directory of qtbase, which is another package.

Attached the log of the build.

strip --strip-unneeded /gnu/store/9cvbbjzj3v5w2pdqmkcqc8cdxq601cra-qoauth-2.0.0/lib/libqoauth.so.2.0.0
ln -f -s libqoauth.so.2.0.0 /gnu/store/9cvbbjzj3v5w2pdqmkcqc8cdxq601cra-qoauth-2.0.0/lib/libqoauth.so
ln -f -s libqoauth.so.2.0.0 /gnu/store/9cvbbjzj3v5w2pdqmkcqc8cdxq601cra-qoauth-2.0.0/lib/libqoauth.so.2
ln -f -s libqoauth.so.2.0.0 /gnu/store/9cvbbjzj3v5w2pdqmkcqc8cdxq601cra-qoauth-2.0.0/lib/libqoauth.so.2.0
install -m 644 -p ../lib/libqoauth.prl /gnu/store/9cvbbjzj3v5w2pdqmkcqc8cdxq601cra-qoauth-2.0.0/lib/libqoauth.prl
/gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/bin/qmake -install qinstall /tmp/guix-build-qoauth-2.0.0.drv-0/source/src/qoauth_global.h /gnu/store/9cvbbjzj3v5w2pdqmkcqc8cdxq601cra-qoauth-2.0.0/include/QtOAuth/qoauth_global.h
/gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/bin/qmake -install qinstall /tmp/guix-build-qoauth-2.0.0.drv-0/source/src/qoauth_namespace.h /gnu/store/9cvbbjzj3v5w2pdqmkcqc8cdxq601cra-qoauth-2.0.0/include/QtOAuth/qoauth_namespace.h
/gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/bin/qmake -install qinstall /tmp/guix-build-qoauth-2.0.0.drv-0/source/src/interface.h /gnu/store/9cvbbjzj3v5w2pdqmkcqc8cdxq601cra-qoauth-2.0.0/include/QtOAuth/interface.h
/gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/bin/qmake -install qinstall /tmp/guix-build-qoauth-2.0.0.drv-0/source/include/QtOAuth /gnu/store/9cvbbjzj3v5w2pdqmkcqc8cdxq601cra-qoauth-2.0.0/include/QtOAuth/QtOAuth
/gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/bin/qmake -install qinstall /tmp/guix-build-qoauth-2.0.0.drv-0/source/src/qoauth.pc /gnu/store/9cvbbjzj3v5w2pdqmkcqc8cdxq601cra-qoauth-2.0.0/lib/pkgconfig/qoauth.pc
/gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/bin/qmake -install qinstall /tmp/guix-build-qoauth-2.0.0.drv-0/source/oauth.prf /gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/lib/qt5/mkspecs/features/oauth.prf
Error copying /tmp/guix-build-qoauth-2.0.0.drv-0/source/oauth.prf to /gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/lib/qt5/mkspecs/features/oauth.prf: Cannot create /gnu/store/qylisyh4cz32askxl5640qjhl47kr1wp-qtbase-5.14.2/lib/qt5/mkspecs/features/oauth.prf for output
make[1]: *** [Makefile:453: install_features] Error 3
make[1]: Leaving directory '/tmp/guix-build-qoauth-2.0.0.drv-0/source/src'
make: *** [Makefile:72: sub-src-install_subtargets-ordered] Error 2
command "make" "install" failed with status 2
builder for `/gnu/store/vsfgann9z907q0kzj8a7qzv8kjz71z4k-qoauth-2.0.0.drv' failed with exit code 1
build of /gnu/store/vsfgann9z907q0kzj8a7qzv8kjz71z4k-qoauth-2.0.0.drv failed
View build log at '/var/log/guix/drvs/vs/fgann9z907q0kzj8a7qzv8kjz71z4k-qoauth-2.0.0.drv.bz2'.
guix build: error: build of `/gnu/store/vsfgann9z907q0kzj8a7qzv8kjz71z4k-qoauth-2.0.0.drv' failed